#!/bin/bash

tag=v1.0.1

set -e

tmp=$(mktemp -d)

trap cleanup EXIT
cleanup() {
    set +e
    [ -z "$tmp" -o ! -d "$tmp" ] || rm -rf "$tmp"
}

unset CDPATH
pwd=$(pwd)

pushd "$tmp"
git clone https://github.com/kriskowal/q.git
cd q
git archive --prefix="spec/" --format=tar tags/${tag}:spec/ \
    | bzip2 > "$pwd"/tests-${tag}.tar.bz2
popd
